Subject: Re: [PATCH 0/2] tlan: fix earlier fixes, remove big buffer mode

From: Sakari Ailus <[email-masked]>
Date: Wed, 17 Dec 2008 23:26:39 +0200

David Miller wrote:
> From: Sakari Ailus <[email-masked]>
> Date: Tue, 16 Dec 2008 17:24:50 +0200
> 
>> Unfortunately it seems that my last patch introduced a few problems.
>>
>> So here are two patches: the first one fixes the pci memory
>> unmapping. The second one removes the big buffer mode.
> 
> I think what I'm going to do is put your first patch into
> net-2.6 and the bigbuf removal into net-next-2.6

Sounds good, thanks!

> Yes I realize that your changes might have made bigbuf even
> more broken than it already is, that's fine since it's
> off by default.

On second though, I don't think the bbuf mode was broken by my patches
more than it already was. skb_copy_from_linear_data copies txlen bytes
from skb->data to tail_buffer. This is fine, since the skb has at least
that many bytes and tail_buffer is at least as big, too. One should
never make this kind of claims when too tired... ;)

But the bottom line is still that the bbuf mode doesn't work.

-- 
Sakari Ailus
[email-masked]